com.genesyslab.wfm7.API.service.config761

## Class CfgSecurityRole

- java.lang.Object
- - com.genesyslab.wfm7.API.service.config761.CfgSecurityRole

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgSecurityRole
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private long` | `timestamp`
    `private java.lang.String` | `wmName`
    `private int` | `wmSecurityRoleId`
    `private int[]` | `wmSecurityRoleSubsystems`
    `private int` | `wmSecurityRoleSubsystemsNSizeIs`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgSecurityRole()`
    `CfgSecurityRole(int wmSecurityRoleId, java.lang.String wmName, int wmSecurityRoleSubsystemsNSizeIs, int[] wmSecurityRoleSubsystems, long timestamp)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `long` | `getTimestamp()` Gets the timestamp value for this CfgSecurityRole.
    `java.lang.String` | `getWmName()` Gets the wmName value for this CfgSecurityRole.
    `int` | `getWmSecurityRoleId()` Gets the wmSecurityRoleId value for this CfgSecurityRole.
    `int[]` | `getWmSecurityRoleSubsystems()` Gets the wmSecurityRoleSubsystems value for this CfgSecurityRole.
    `int` | `getWmSecurityRoleSubsystemsNSizeIs()` Gets the wmSecurityRoleSubsystemsNSizeIs value for this CfgSecurityRole.
    `int` | `hashCode()`
    `void` | `setTimestamp(long timestamp)` Sets the timestamp value for this CfgSecurityRole.
    `void` | `setWmName(java.lang.String wmName)` Sets the wmName value for this CfgSecurityRole.
    `void` | `setWmSecurityRoleId(int wmSecurityRoleId)` Sets the wmSecurityRoleId value for this CfgSecurityRole.
    `void` | `setWmSecurityRoleSubsystems(int[] wmSecurityRoleSubsystems)` Sets the wmSecurityRoleSubsystems value for this CfgSecurityRole.
    `void` | `setWmSecurityRoleSubsystemsNSizeIs(int wmSecurityRoleSubsystemsNSizeIs)` Sets the wmSecurityRoleSubsystemsNSizeIs value for this CfgSecurityRole.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### wmSecurityRoleId

          private int wmSecurityRoleId

    - #### wmName

          private java.lang.String wmName

    - #### wmSecurityRoleSubsystemsNSizeIs

          private int wmSecurityRoleSubsystemsNSizeIs

    - #### wmSecurityRoleSubsystems

          private int[] wmSecurityRoleSubsystems

    - #### timestamp

          private long timestamp

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### CfgSecurityRole

          public CfgSecurityRole()

    - #### CfgSecurityRole

          public CfgSecurityRole(int wmSecurityRoleId,
                         java.lang.String wmName,
                         int wmSecurityRoleSubsystemsNSizeIs,
                         int[] wmSecurityRoleSubsystems,
                         long timestamp)

  - ### Method Detail

    - #### getWmSecurityRoleId

          public int getWmSecurityRoleId()

      Gets the wmSecurityRoleId value for this CfgSecurityRole.
      Returns:
        wmSecurityRoleId

    - #### setWmSecurityRoleId

          public void setWmSecurityRoleId(int wmSecurityRoleId)

      Sets the wmSecurityRoleId value for this CfgSecurityRole.
      Parameters:
        `wmSecurityRoleId` -

    - #### getWmName

          public java.lang.String getWmName()

      Gets the wmName value for this CfgSecurityRole.
      Returns:
        wmName

    - #### setWmName

          public void setWmName(java.lang.String wmName)

      Sets the wmName value for this CfgSecurityRole.
      Parameters:
        `wmName` -

    - #### getWmSecurityRoleSubsystemsNSizeIs

          public int getWmSecurityRoleSubsystemsNSizeIs()

      Gets the wmSecurityRoleSubsystemsNSizeIs value for this CfgSecurityRole.
      Returns:
        wmSecurityRoleSubsystemsNSizeIs

    - #### setWmSecurityRoleSubsystemsNSizeIs

          public void setWmSecurityRoleSubsystemsNSizeIs(int wmSecurityRoleSubsystemsNSizeIs)

      Sets the wmSecurityRoleSubsystemsNSizeIs value for this CfgSecurityRole.
      Parameters:
        `wmSecurityRoleSubsystemsNSizeIs` -

    - #### getWmSecurityRoleSubsystems

          public int[] getWmSecurityRoleSubsystems()

      Gets the wmSecurityRoleSubsystems value for this CfgSecurityRole.
      Returns:
        wmSecurityRoleSubsystems

    - #### setWmSecurityRoleSubsystems

          public void setWmSecurityRoleSubsystems(int[] wmSecurityRoleSubsystems)

      Sets the wmSecurityRoleSubsystems value for this CfgSecurityRole.
      Parameters:
        `wmSecurityRoleSubsystems` -

    - #### getTimestamp

          public long getTimestamp()

      Gets the timestamp value for this CfgSecurityRole.
      Returns:
        timestamp

    - #### setTimestamp

          public void setTimestamp(long timestamp)

      Sets the timestamp value for this CfgSecurityRole.
      Parameters:
        `timestamp` -

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.